Mailinglist Archive: opensuse-buildservice (206 mails)

< Previous Next >
[opensuse-buildservice] Problem with xz compressed debs on ubuntu 10.10
Hi,

I have a problem building a package for ubuntu 10.10

it needs libkdepim5-dev which seems to be compressed with xz,
on setting up the vm it fails with error message below:

installing gzip
installing insserv
installing install-info
installing libakonadi-kabc4
dpkg-deb (subprocess): unable to execute data (xz): No such file or directory
dpkg-deb: subprocess <decompress> returned error exit status 2
dpkg: error processing .init_b_cache/libakonadi-kabc4.deb (--install):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 2
Errors were encountered while processing:
 .init_b_cache/libakonadi-kabc4.deb
exit ...
[   78.273746] System halted.

On irc it was suggested to add xz to build-depends.
I added xz-utils but that does not help as the packages that need it for
installing are installed
earlier than xz-utils and so it fails.

Any hints? Can this be added to the preinstalled packages?

Project home:geflei, plasmoid-eventlist
Debian 6.0 and ubuntu 10.04 build fine, btw.

Thanks, Gerd
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >